package mods.immibis.hungerunderhaul;

import mods.immibis.core.api.FMLModInfo;
import net.minecraftforge.client.GuiIngameForge;
import net.minecraftforge.client.event.RenderGameOverlayEvent;
import net.minecraftforge.common.MinecraftForge;
import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.TickEvent;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

@Mod(modid="A802C93F-0996-3BF1-B55B-EBFA09797A4A", name="Hunger Underhaul", version="59.0.0")
@FMLModInfo(authors="immibis", url="", description="Disables hunger.")
public class HungerUnderhaul {
	
	@SidedProxy(clientSide="mods.immibis.hungerunderhaul.HungerUnderhaul$ClientProxy", serverSide="mods.immibis.hungerunderhaul.HungerUnderhaul$ServerProxy")
	public static Runnable proxy;
	
	@SideOnly(Side.CLIENT)
	public static class ClientProxy implements Runnable {
		@Override
		public void run() {
			MinecraftForge.EVENT_BUS.register(this);
		}
		
		@SubscribeEvent
		public void onGuiRender(RenderGameOverlayEvent.Pre evt) {
			GuiIngameForge.renderFood = false;
		}
	}
	
	public static class ServerProxy implements Runnable {
		@Override
		public void run() {
		}
	}
	
	@EventHandler
	public void init(FMLInitializationEvent evt) {
		proxy.run();
		FMLCommonHandler.instance().bus().register(this);
	}
	
	@SubscribeEvent
	public void onPlayerTick(TickEvent.PlayerTickEvent evt) {
		if(evt.phase == TickEvent.Phase.START)
			evt.player.getFoodStats().addStats(100, 100);
	}
}
